Package com.mckoi.database

## Class DatabaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.mckoi.database.DatabaseException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `UserAccessException`

    public class DatabaseException
    extends java.lang.Exception

Exception thrown where various problems occur within the database.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabaseException​(int error_code, java.lang.String message)`
`DatabaseException​(java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()` Returns the error code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatabaseException

    public DatabaseException​(int error_code,
                             java.lang.String message)

#### DatabaseException

    public DatabaseException​(java.lang.String message)

### Method Detail

#### getErrorCode

    public int getErrorCode()

Returns the error code. -1 means no error code was given.